from prometheus_client import Gauge
from django_prometheus import exports
from inventory.models import *

g_items_total = Gauge('c3lf_items_total', 'Current Total items')

def update_item_count():
    # Get the count of MyModel objects
    count = Item.objects.count()
    # Set the gauge to the current count
    g_items_total.set(count)